Module jdk.jshell
Package jdk.jshell.spi

## Class ExecutionControl.UserException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - jdk.jshell.spi.ExecutionControl.ExecutionControlException
      - - jdk.jshell.spi.ExecutionControl.RunException
        - - jdk.jshell.spi.ExecutionControl.UserException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  ExecutionControl

    public static class ExecutionControl.UserException
    extends ExecutionControl.RunException

A 'normal' user exception occurred.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`UserException​(String message, String causeExceptionClass, StackTraceElement[] stackElements)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `causeExceptionClass()` Returns the class of the user exception.

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UserException

    public UserException​(String message,
                         String causeExceptionClass,
                         StackTraceElement[] stackElements)

### Method Detail

#### causeExceptionClass

    public String causeExceptionClass()

Returns the class of the user exception.

Returns:
  the name of the user exception class